> For the complete documentation index, see [llms.txt](https://docs.cspr.cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cspr.cloud/1.1.x/streaming-api/deploy.md).

# Deploy

The Block stream provides updates about newly executed deploys

```
GET /deploys
```

## Optional properties

None

## Query params

| Property                 | Type     | Description                                       |
| ------------------------ | -------- | ------------------------------------------------- |
| `contract_package_hash`  | `string` | Comma-separated list of contract package hashes   |
| `contract_hash`          | `string` | Comma-separated list of contract hashes           |
| `caller_public_key`      | `string` | Comma-separated list of deploy caller public keys |
| `contract_entrypoint_id` | `string` | Comma-separated list of uint entrypoint ids       |
| `deploy_hash`            | `string` | Comma-separated list of deploy hashes             |

## Events

| Event     | Description                            |
| --------- | -------------------------------------- |
| `created` | Notifies about a newly executed deploy |

## Response

[`WebSocketMessage`](/1.1.x/streaming-api/reference.md#format)[`<Deploy>`](/1.1.x/rest-api/deploy.md#properties)

## Example

```bash
wscat -c 'wss://streaming.testnet.cspr.cloud/deploys?contract_package_hash=d2a30f815dab2e991e1ab5aa3474d5fd8cd6ee877678071523ad746f91a5042e' \
  -H 'authorization: 55f79117-fc4d-4d60-9956-65423f39a06a'
```

```json
{
  "data": {
    "deploy_hash": "62972eddc6fdc03b7ec53e52f7da7e24f01add9a74d68e3e21d924051c43f126",
    "block_hash": "556e176cda8e84a889c3a5a96d0710aca8fb0f7c9ad86536149d7f776b7409da",
    "caller_public_key": "01b35a345e031fbcfbcf017f70476249afe7fbb07ab84a774601010213d121a37d",
    "execution_type_id": 2,
    "contract_package_hash": "d2a30f815dab2e991e1ab5aa3474d5fd8cd6ee877678071523ad746f91a5042e",
    "contract_hash": "9cefe49ff34d29a5713fdf2de3f9c3f3cb3c5226ced0607bdf375f5d2497d8b6",
    "entry_point_id": 1,
    "args": {
      "recipient": {
        "cl_type": "Key",
        "parsed": {
          "Account": "account-hash-f2af240a5aa234d6e295ff65b011126dc002f655b1034f869f38b7b2ba60e450"
        }
      },
      "token_ids": {
        "cl_type": {
          "List": "U256"
        },
        "parsed": [
          "271"
        ]
      },
      "token_metas": {
        "cl_type": {
          "List": {
            "Map": {
              "key": "String",
              "value": "String"
            }
          }
        },
        "parsed": [
          [
            {
              "key": "background",
              "value": "Sky Lightning"
            },
            {
              "key": "mythical",
              "value": "Shadow Wings"
            },
            {
              "key": "body",
              "value": "Brown"
            },
            {
              "key": "image",
              "value": "https://kunft-assets.s3.amazonaws.com/4.God+Female/output/46.png"
            }
          ]
        ]
      }
    },
    "payment_amount": "1000000000",
    "cost": "785034700",
    "error_message": null,
    "status": "processed",
    "timestamp": "2022-11-08T18:13:33Z"
  },
  "action": "created",
  "extra": {
    "entry_point_action_id": null,
    "entry_point_name": "undelegate"
  },
  "timestamp": "2024-02-15T10:33:11.00557279Z"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.cspr.cloud/1.1.x/streaming-api/deploy.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
